.sapUiResponsiveSplitter {
	width: 100%;
	height: 100%;
}

.sapUiResponsiveSplitterPage {
	width: 100%;
	height: 100%;
}

.sapUiRSVisiblePaginator {
	& .sapUiResponsiveSplitterPaginator {
		width: 100%;
		display: flex;
		justify-content: center;
		outline: none;
		height: 2.5rem;
		background-color: @sapUiExtraLightBG;
	}

	& .sapUiResponsiveSplitterPage {
		height: ~"calc(100% - 2.5rem)";
	}

	& .sapUiResponsiveSplitterPaginator.sapUiResponsiveSplitterWithNavButtons {
		justify-content: space-between;
	}
}

.sapUiResponsiveSplitterPaginatorButton:hover {
	background-color: @sapUiListHoverBackground;

	&:after {
		background-color: @sapUiBrand;
	}
}

.sapUiResponsiveSplitterPaginatorButton {
	width: 2.5rem;
	height: 2.5rem;
	cursor: pointer;
	background-color: transparent;
	display: inline-block;

	&:active {
		background-color: @sapUiHighlight;

		&:after {
			background-color: @sapUiInvertedElement;
		}
	};

	&:after {
		content: "";
		width: 0.5rem;
		height: 0.5rem;
		background-color: @sapUiExtraLightText;
		margin: auto;
		display: block;
		margin-top: 16px;
		border-radius: 50%;
	};

	&:focus {
		outline: none;
	}

	&:focus:before {
		content: "";
		position: absolute;
		border: 1px dotted @sapUiFocus;
		width: 2.125rem;
		height: 2.125rem;
		margin: 2px 0 0 2px;
	}
}

.sapUiResponsiveSplitterPaginatorButton:first-child {
	margin-left: 0;
}


.sapUiResponsiveSplitterPaginatorSelectedButton {
	background-color: transparent;

	&:after {
		background-color: @sapUiBrand;
	}
}

.sapUiResponsiveSplitterHiddenElement {
	display: none;
}

.sapUiResponsiveSplitterPaginatorNavButton {
	width: 2.5rem;
    height: 2.5rem;
	font-family: 'SAP-icons';
	cursor: pointer;

	&::after {
		position: absolute;
		margin-top: 11px;
		margin-left: 15px;
	}
}

.sapUiResponsiveSplitterPaginatorButtonBack {
	&::after {
		content: '\e067';
	}
}

.sapUiResponsiveSplitterPaginatorButtonForward {
	&::after {
		content: '\e066';
	}
}

.sapUiResponsiveSplitterHiddenBackButton,
 .sapUiResponsiveSplitterHiddenPaginatorButton {
	display: none !important;
	background-color: blue;
}

.sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterBar {
	background-color: @sapUiMediumBorder;

	&:hover {
		background-color: darken(@sapUiMediumBorder, 10);
	}

	&:active {
		background-color: @sapUiHighlight;
	}
}

html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterBar,
html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterOverlayBar {
	& .sapUiLoSplitterBarIcon {
		width: 3rem;
		height: 3rem;
		z-index: 1;
		margin-left: -22px;
		top: 50%;
	}

	& .sapUiLoSplitterBarIcon:after {
		content: "";
		width: 1.25rem;
		height: 1.25rem;
		border-color: @sapUiDarkBorder;
		border-width: 0.125rem;
		background-color: @sapUiExtraLightBG;
		border-radius: 50%;
		border-style: solid;
		display: block;
		position: relative;
		left: 25%;
		top: 25%;
	}
}

html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage > .sapUiLoSplitter .sapUiLoSplitterOverlayBar {
	& .sapUiLoSplitterBarIcon:after {
		border-color: @sapUiHighlight;
		background-color: darken(@sapUiExtraLightBG, 15);
	}
}

.sapUiResponsiveSplitter .sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiResponsiveSplitter .sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	&:hover {
		cursor: n-resize;
	}
}

.sapUiResponsiveSplitter .sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiResponsiveSplitter .sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {

	&:hover {
		cursor: e-resize;
	}
}

html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterBar,
html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterOverlayBar {
	& .sapUiLoSplitterBarIcon {
		position: absolute;
		margin-top: -22px;
		top: auto;
	}

	& .sapUiLoSplitterBarIcon:after {
		top: 25%;
		left: 25%;
	}
}

html.sap-phone .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiResponsiveSplitter > .sapUiResponsiveSplitterPage .sapUiLoSplitter.sapUiLoSplitterV .sapUiLoSplitterOverlayBar {
	& .sapUiLoSplitterBarIcon {
		left: 50%;
		width: 3rem;
		height: 3rem;
		margin-left: -30px;
	}
}

.sapUiResponsiveSplitter .sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiResponsiveSplitter .sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	height: 0.25rem !important;
}

.sapUiResponsiveSplitter .sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiResponsiveSplitter .sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	width: 0.25rem !important;
}

html[data-sap-ui-browser^=ie].sap-desktop .sapUiResponsiveSplitter {
	.sapUiLoSplitterH > .sapUiLoSplitterBar:focus::after {
		width: 2px;
		z-index: 1;
	}

	.sapUiLoSplitterV > .sapUiLoSplitterBar:focus::after {
		height: 2px;
		top: -6px;
		z-index: 1;
	}
}